Qt 5.9 | Qt Charts | C++ Classes | QAreaLegendMarker

Qt 5.9.9 Reference Documentation

# QAreaLegendMarker Class

The QAreaLegendMarker class is a legend marker for an area series. More...

Header: | #include <QAreaLegendMarker>
Inherits: | QLegendMarker

- List of all members, including inherited members

## Public Functions

virtual | ~QAreaLegendMarker()

## Reimplemented Public Functions

virtual QAreaSeries * | series()
virtual LegendMarkerType | type()

- 16 public functions inherited from QLegendMarker

### Additional Inherited Members

- 7 properties inherited from QLegendMarker
- 9 signals inherited from QLegendMarker

## Detailed Description

The QAreaLegendMarker class is a legend marker for an area series.

An area legend marker is related to a QAreaSeries object, so that one area series results in one marker.

See also QLegend and QAreaSeries.

## Member Function Documentation

### `[virtual]` QAreaLegendMarker::~QAreaLegendMarker()

Removes the legend marker for an area series.

### `[virtual]` QAreaSeries *QAreaLegendMarker::series()

Reimplemented from QLegendMarker::series().

### `[virtual]` LegendMarkerType QAreaLegendMarker::type()

Reimplemented from QLegendMarker::type().